upload localhost - masalah compatibility versi php

Discussion in 'Web Hosting' started by Adhie Code, 15 Sep 2012.

Thread Status:
Not open for further replies.
  1. Adhie Code

    Adhie Code New Member

    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    permisi2 kk2.. saya mau tanya ttg masalah php saya nih. jadi saya udah selesai merancang website dari cms balitbang 3.5. nah cms itu berbasis php 5.2. sedangkan web server saat ini kan sudah mencapai php 5.3. Lalu jika saya upload maka akan terjadi error. apakah ada cara untuk mengakali masalah saya?
    terimakasih sebelumnya kk2 :)
     
  2. BOCindonesia

    BOCindonesia Expert 1.0

    Messages:
    649
    Likes Received:
    155
    Trophy Points:
    43
    Tambahkan ini pada baris pertama file .htaccess nya

    AddHandler application/x-httpd-php52 .php
     
  3. Adhie Code

    Adhie Code New Member

    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    oh jadi buat .htaccess ya trus isinya ini. kalo boleh tau fungsi itu apa ya??
     
  4. BOCindonesia

    BOCindonesia Expert 1.0

    Messages:
    649
    Likes Received:
    155
    Trophy Points:
    43
    .htaccess adalah sebuah file yg disediakan oleh web server yg berbasis Apache. Meski sebuah file, dia mampu ubah setingan default web server tsb.
     
  5. Adhie Code

    Adhie Code New Member

    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    makasih makasih banyak ya kk.. nanti saya akan coba.. :)
     
  6. mustafaramadhan

    mustafaramadhan Hosting Guru

    Messages:
    3,237
    Likes Received:
    857
    Trophy Points:
    113
    Pengaturan ini akan jalan kalau hanya terinstall php 5.3?. Rasanya trik ini jalan jika pada server terinstall kedua versi dimana pengaturan pemakaian versi ini diatur dalam setting suphp misalnya (fastcgi dan fcgid rasanya juga mungkin menerapkan ini sedangkan mod_php masih tandatanya).
     
  7. DraCoola

    DraCoola Apprentice 1.0

    Messages:
    326
    Likes Received:
    122
    Trophy Points:
    43
    benar sekali, switching versi php via .htaccess barulah bisa dilakukan jika memang terdapat minimal dua buah versi php yg terinstall pada server, guna keperluan switch tersebut.

    btw ini bang mustafaramadhan yg dari forum chip yah?
    salam bang mustafaramadhan :77:



    tata bahasa saia rapi banget khoesoes disini :(
     
  8. mustafaramadhan

    mustafaramadhan Hosting Guru

    Messages:
    3,237
    Likes Received:
    857
    Trophy Points:
    113
    Anda benar.
     
  9. indra

    indra Apprentice 2.0

    Messages:
    567
    Likes Received:
    29
    Trophy Points:
    28
    "Lalu jika saya upload maka akan terjadi error."

    ini arti kalimatnya sudah diupload atau masih kira" yah..
     
Loading...
Thread Status:
Not open for further replies.

Share This Page

Loading...